Subject: [Peter Vasil] emacs 24.3.50.1: Byte compile warning Warning: function used to take 0+ arguments, now takes 0

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 Jul 2013 19:35:32 -0400

[ Making it into a proper bug-report.  ]

Subject: emacs 24.3.50.1: Byte compile warning Warning: function used to take 0+ arguments, now takes 0
From: Peter Vasil <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jul 2013 13:02:24 +0200
List-Id: "Emacs development discussions." <emacs-devel.gnu.org>

Hi list,

I have the following function in my init.el file

(defun goto-line-with-feedback ()
  "Show line numbers temporarily, while prompting for the line number input"
  (interactive)
  (let ((line-numbers-off-p (if (boundp 'linum-mode)
                                (not linum-mode)
                              t)))
    (unwind-protect
        (progn
          (when line-numbers-off-p
            (linum-mode 1))
          (call-interactively 'goto-line))
      (when line-numbers-off-p
        (linum-mode -1)))))

When I byte-compile init.el I get the following warning:
function goto-line-with-feedback used to take 0+ arguments, now takes 0

With emacs 24.3 I don't get this warning only with emacs trunk.
I am on revision 113411

Thanks,
Peter